## shutter 0.95

=== Makefile ===
prefix = /usr/local

all:
	./po2mo.sh

clean:
	if [ -d $(srcdir)share/locale ]; then \
		rm -r $(srcdir)share/locale; \
	fi
install: all
	install -Dm755 $(srcdir)bin/shutter $(prefix)/bin/shutter
	cp -r $(srcdir)share/ $(prefix)/

uninstall:
	rm $(prefix)/bin/shutter
	rm $(prefix)/share/appdata/shutter.appdata.xml
	rm $(prefix)/share/applications/shutter.desktop
	rm -r $(prefix)/share/doc/shutter/
	rm $(prefix)/share/man/man1/shutter.1.gz
	rm $(prefix)/share/pixmaps/shutter.png
	rm -r $(prefix)/share/shutter/
	rm $(prefix)/share/icons/HighContrast/scalable/apps/shutter.svg
	rm $(prefix)/share/icons/HighContrast/scalable/apps/shutter-panel.svg
	for size in 128x128  16x16  192x192  22x22  24x24  256x256  32x32  36x36  48x48  64x64  72x72  96x96; do \
		rm $(prefix)/share/icons/hicolor/$$size/apps/shutter.png; \
	done
	for size in 16x16 22x22 24x24; do \
		rm $(prefix)/share/icons/hicolor/$$size/apps/shutter-panel.png; \
	done
	rm $(prefix)/share/icons/hicolor/scalable/apps/shutter-panel.svg
	rm $(prefix)/share/icons/hicolor/scalable/apps/shutter.svg
	for locale in $(prefix)/share/locale/*; do \
		for mofile in shutter.mo shutter-plugins.mo shutter-upload-plugins.mo; do \
			if [ -f $$locale/LC_MESSAGES/$$mofile ]; then \
				rm $$locale/LC_MESSAGES/$$mofile; \
			fi \
		done \
	done

## shutter 0.1.0-2

=== debian/changelog ===
shutter (0.1.0-2) stable; urgency=low

  Initial alpha release.

 -- Tom Waelti <twaelti@gmail.com>  Sun, 10 Jan 2010 22:31:45 +0000

=== debian/control ===
Source: shutter
Section: user/desktop
Priority: extra
Maintainer: Tom Waelti <twaelti@gmail.com>
Xsbc-Bugtracker: mailto:twaelti@gmail.com
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: shutter
Architecture: all
Depends: lirc (>= 0.8.4b-1fremantle30), python2.5, python-hildondesktop (>= 0.1.0-1maemo2), hildon-desktop-python-loader (>= 0.1.0-1maemo2), python-gtk2, python-hildon
Description: A single IR button widget to issue a IR command.
 Preconfigured for Nikon D70 etc. shutter control.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAARnQU1BAACx
 jwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAZdEVYdFNvZnR3YXJlAFBhaW50Lk5FVCB2My41
 LjLX7mlDAAAVqUlEQVRoQ71aB3CUZ5bkbr1bV7VXd2tQHI0m5zzKOSCQRBBCQiRJJAVAWAJhi7BE
 CwHCBBONiQbbZBA5i5yjyDnnnJMDqK+/X+s7e3ftBe+tp+qvGYnRzOv/ve73Xn/UqvUrHgWFhZFN
 Uhp0b9asaWZK0wzbr/iI3/5PlixeoSwrHTQipXGjl35+/vDy8oRcLoPNbnkdGRO7NCoqNvi3j+ot
 vrHrBx1/P2xw2cjmqS1eqhRq+PrI4OnlAw9vPnv7oY63LzRaLUJCQqvj4utWpKSmhbzFx/52b+nc
 sfO4hNgkGPUG5HYqgtzfCE8PH9Tx8sX7Hr6o7elLIDL4yhVQadRwuV3VYZFR85MSk+J+uyh/5pum
 TZ0Ykpnd9nuFQsXA3MhITYXFEggPBv/f3nJ4icD91PCTa+Cn0MCfGZL7a6BQKOFy2as/6NTu2aQJ
 45+NHjPxwaTJX84eVj52VJ8+Q8ObZxf+7l8Grrxs0L+PnzAxvHRQaWlkROwdX38tA9JBqVLDaDRC
 pzMyUAN8ROBKHdRaEzQ6C8vIBC0vNV8rNCa+3wiNWoOEiACUD+yOOV9NxeKFc7FsSQUWViw9uWDR
 8u6fT5qt/n8HMvOrr8oTEpIYqAZqjRZGkxMyXzXr3hsyPxkcLjeS6yVBYwqCv5qBas3Qmh0wml0w
 WtzQWwNhtgbxdSC0BjtUWgtM5EiLZvUxqnwAxo4chqkTRmDh3OlYvmTR9/PmLVo9afqcmJJew/7t
 nwazsKIiI7lxerWPjw+8BTk1Gt51O1/78/KBUqlCTGwkunTMR9PWnaEzOxmsGw5nCCyOUNjd4XAG
 RsAeEC5drkDxczQcvIwE5nK4kdokBdGRYWiSFIXCnAwML+uBGdM/w7RpMyv79h9R91eDmDVrVnBu
 x6KnMl8/yGSUSQat0WlhsTqYCSNrWwulWo3QsHAGkYq0FjkMKgAmWwB54YKZz3aXuNyUVgecTjcC
 AgMQEhaJuLp1kZKeDvIJ2Vnt0KhhM5hMblj0GsRHuNCxTQoG9S3GpyPKX5eWDZ2anNJe9s5Aps78
 utLmjGa9Uyr9SEo/JQwGE8wWC8xmC8IiohhQCINJgt0RCAMDFrWv05sYjIXgNPDxlTFTMta+CQHM
 QFh4AkJC4xAYFAODWQC1IT4uAh8UdMDgoUPQufBDBAVFwG3WoWVqHEqK81E2sDe6du39KiU9L+at
 QYwY1j9t3GcTq532EDRIzaKiGPllFlh5901mKwwM0GgyQ09AarWOcilIqidxjVCpCFYmRyQBFhV9
 hHHjJ2POnIWYNacCc+cvwaJFyzF7zhLM+HI+BpaNQtv2RQgLTYDDakdWqxQMHzkUHfK6wW5xIikh
 GD2652JwaT/07Nn/VcNGWf1CQsLe+0UgGalN/tTtg5xH/UsHwWlzY/jYyVDp3AgOCoHd7obOZIdW
 JwLXQ8nAtTortCwpo9HEUpMjwB2IAX37YcmSlVi9Zj1Wr92EisUrsGLlOqxcuRbLlq7CggXLMH/B
 EkyZMgOTJk7GhPFTMGDAcNSvl4EAll1xYQ4+HT0KkdENERloQ7cumRhZXooBHw9F04z8D38RQEhw
 WN3YiCBktmoGh8XKDx/FtMYhODgE7sAwAnBQaXjHCUAA0fHSaPUsGz2yMlth1ZqNqNy4E2srt2Pz
 1t3YsJmv12/DqnUbCYKA1mzAuvWbsGLFeixcuBxz5y7G9KkzMXniFHw24XP07PMJnO54pDeMxZix
 I5Gc2g5BbguKOrXA8PKBGDS4HBktC3r/LAijwa5UKdXVZrMBRp0OfUqK0Kx5e9Z7ID84FBqDjXfe
 KBHZQLkUwWu1anQpyMXW7buw7+Ax7NxzCLv2VGH33kPYsWs/Xx/E5u17sHnbXmwiqHWVW7F6dSVW
 rKrE4sXLMY/l9fVXczH763mY8cUsjBw9BbHxzREXGYThI0p513MQ6rKhS34LDC3ri6FDh71OSeuY
 97Mg2D0X+nBA86POt2qahN79h8DtCqIshrJRWaFQG6gsdnLBxppXonmLNOw/eBhnzl7CqTMXcfzU
 RRw7cR4HDp3k748TyFHs2n0AVYdOYPvO/QS6D+s3bMPaDduxdNlarBRAWHILFy3D7FkLCeJrfDp2
 Cho16YDosFCUDylFfN1miAx2spzaonxwf/TuW/4sPiE74O+CUKpVBaKePTw94LZp8NmU6SSsnRLp
 Zi9g99WbYXME8HcGhIcHYdPmTTh38RrOnLuC02cv4tTZKwRyga8v4fjJCzh87KwU/MHDx3Hg4FHs
 2VuFnczMVmalkkDWrNvMMtvMslqHioqVmDuvAl9M+xLjx09FYsO2iI8Jx4CywbA7Y5EQ7UZ3cqSM
 xM4v7LvTYEv4w9+ACAmyfxQQEoHaHNIUMg9MmDAGNv6x1mil4vDuM3iD2U5iu/Fxv564dv0Wrt28
 jyvX7+DytTs4f+kGLvA6d/E6Tpy+iBMnz+PYyXM4euIsDh1hVqpOYP+Bo9ix8wAzso83YBeBbCE3
 NpP8a8iNZZgzewFms6w+HT0NJnss0tMbIK+oLwzkX3rjGPTo1gmlgwajQVp++d8AqFs3ZqYoETGI
 vV+7NtplZyAjq1CSSrVGDwuVxmKzITo6HDu2bcbtu49x884j3Lj1gM8PcIvX1Rt3ce3GPVy++hdA
 F67iNDN0jGAOHz/LbJzCwapj2Lf/CHbsPoiNJPsGZmM1y2n5stUSN+bPXSQBKe45ir0nAHkF+QiJ
 pVI5TZTcRujToysKu/Z56ghoqPwJiJDQyDOiA6vUWrxfxxNWswplw0azqQnFMcBqF03IjOyMxrh9
 +zbuP3qBB49f4f7D57j74Dnu3HtCEA8lYFcJ4tIVZojZOX/xBs6cv4oTp87j5OlLOHrsDMvrDLNx
 DNt27JWIv568WFe5BWupVkJyK8iLL76Yi4i4VuwtAUjL7kL1syE2JgidcjLRu1cJp4COpf8LwGy2
 vmeyOJ55enpKJPb2lXPer42yIR/DHpTIbmtkQ3NJJO7XsyuevfoOj59/j8fPxPNrPHnxGo+efocH
 j17yekEQT3CHQK7dZDau3cVFgjnLbJw9e1kqrSqRCUHuHft57cPmzTuwZcsurGc5SSCWr2bzW4qS
 PqMYuAGt2mTB6oyH025GWuMEFBXkIS+v6zW7s97vJRBGszNJRWn08KjDy4OTp4zPnoiPCkLHbh9D
 q7fCyiEsJNiFiWOG4vWbaryursa3r6vxjXQBL74Dnn1TLQF7+ORbPBTZIZgbzMqlq7dZVrdw7kIN
 6Y8TxBFmYS+zsFeUE0Fs27oLGzdtR2Ulib18LZYvX4NpMxfze2M5ukQhNLoxJV6P2PBAtG3dFF06
 FSA2oUX9GgAGW6G/XInarH1PqpCXtxd8fHwh9/ViFgbBERDLaTIYMaz/aeOG4a8f1fwFceC7N8BL
 AeRVNR49E0Be4d79p1JpXRfZuHKTJXWNSnVZkt4jguCHT2PPviPYSckVmdiwYSvWrN2AVezgQp1i
 6nfgCGNESHQC5ys9QtgbGiXHI7d9G7RqnTtcAqDVOT7x81NJADxYOt4+3vCVySCT+yM5IRKduvXj
 SByGevUSMGX0YIYrQv75hwDzgtl4/pKlxTJ78Pgly+oRQdSUk8jCqTOXcITEPnL0FA5UnZS4sHP3
 fmzYuJ3XVqwliJUcRbLzBkFn4CBJAGqNBXarCXFRIWjVPAWtW7erkgAoFNpeYoIU6iN44OXtLU2V
 fn5+0KoUKC4pIYC6iIwMxZB+xah+8/0vAhD/KEC8/K6a2XgjceXeg6e4c/8xQdwnwWsycebcZTa/
 s2yC55kF9op9VRIntmylOhHEKvIht2g4/PzVcIdEsh9ZYTFqEc5STm2YwGmh1Rt3aOIfa3l5q4q9
 uKwIAIID3hIAH2n78vdXIDEhFrGJGXBzJ+7XowAvnj36hwDEG34orZffEsgLltTjF7hLEDdv3cdV
 KtQFUU7MxEkCEJzYtYc9gsq0mVzYuFE0uk3oXFzOIdLIhupiBjiHaTUc/uyoFx+B5s2aol5yqqZW
 bU/VRyJwAaAOOSAA+Pr6clH3Y1/wp3wakJZZAKsrHDkdWuHYwd1vBeCHN0nZIIhHT7/FoycvqFCP
 cPPuQ1y8XFNOp0Umjp+R+oPo2DvY6LZt2431JHRmh56QyxRsojbu2RZOwSpJjeIigpHaKBmJyanx
 tTy89MW1a3ugTp0aFRIAxN2Xy+XMAJcabk3tOxfCFd4YTZs0wNwvJ7OMKD3v8PheEJwgBLEfPHxG
 TjzEDUHsqzc5T12WslB1+CT5IGao/Zxqd7FLb0F8clsKip/EA5EBtUoFG29oRIgbSfXjEBPfIKeW
 xhjcwIf7r6end40CycTdZ/AKBRTcgcVe3LJ1BtKzPuRmFYKRQ/vi2oVT7xA+y0lSKRL7mzfMwiuJ
 1Lfu3Gezo8ReuYGz59jkmIXDR09i775D5MEOzFm4litrDAH4sB/Q4eBIIwZJs8mA4AAnEribJyc3
 yKqlckZ7eXn5PpYxcB+Wji+fxd1XKGlUcfvS6ylfJE6f0lGo2yATmc0bYt6Mz/DNy2fvBILxU53e
 4OnTb/Dw0XNcv3UP12/cwcVL19kjrrBDn8ZBDn779h/GVpZQ8Z9HQc7NUEYxESO8UsmdnDfUaDQg
 0GlHFEUlIaF+G0mJPDwVS3xlfgxeLv2B3I8AmAG1VietkmIOKupWgLziIQgOj0eXnJZYvehLvHkL
 RfoxSlFKz6lMgtD3HpDQt+/h2rVbVKWrEpGPHDslZWDtuu2IrZ9JJVTwZvpL258QFBVV0WDQwmW3
 IiIsCKEhEY0lADJ/dz/hsvn5qyTiyqXyIQD6QmKxN4llPD4KYz6bgubZXaV1s1OHTGxfV/HOfPj2
 +2o8Ff3h4VOpN9zkdenydWm3OEgO7N57GO3ad+d3BkkNVdx1k8lKAP4SAL1eC6vNTC82EIGBYRoJ
 gMEWF+3hxYWGaP3oStSgVdUYW0Rv5nLvCgpGp/y2bPHz0TqzC2KiIjHmkz64cvHUO2XiNWXppeDC
 4+e4/+CJNPRJALhPHD5yggTex2UmFXouTyIO8f3cGKHkTVURjIFWj81qRGCA84HZ4vi/3UCudB4R
 5pWCb5ZztBDI1SSwljOIlQ6CIyAY0TGxGDFsAKZ/MQ/ZbTqjQWIcFs6bimOH9uHF08dvxYnXLKNX
 HKAeP+O8RAC3bj/ARfaEkycppQeqUFjcn8pnlvgnLjXtmnAu+omJKZIjIhxDq9lI79W58icjtcIY
 mebprZBcZjnl05+GrsiAVk8HgiVkpXsQGhmFJikNMWn8cMyYtQD5BcWUs/p013ph64ZVOH/6OF69
 eP6LQIQiCQBPCeDu/UfScnTmzHmSt4pr42DJCRQ3z5+k9aJ978ObqlPJUdgpC1ExjbiP01BgVlwu
 d85PANRNyf2dl8y0xZN9QJSSnJkQ6IX3b6SxZXe6EESnIio2FhnpqRgzvJSb1AKU9OyPlJR0tEht
 gMn0PLdsXIfjRw/h7u0bePXyOcvrpz1DTLNPn73ALarQ6dNcdKq4E1RuRPv2HSkgKomHCqWelr0c
 Pl51kN82g6XbBa2bpaFHj4/olMTRqzK/sNnd//U3m5nanBDn4a16LfqBILNSZIALjY5nAxarlR5o
 AILDIhAVXxepTZtwV83FglkzUFY+Gq0y8+h5xqBhYjwG9S/B4kWzsXPnNhzYvw9HjxzC8WPHcPTo
 UVQx4P0H9mPv3r1YuGAROhcUUijMkiUv7HklDQQxi+l1akSGRyGtURyGDS1FQW4u+vcqRkaL9nQL
 7TWT6N97+GlCh3t4+kgKIPig0Yi600kWo8XqlDzP4NAwhEdHIYycSEpKolWYj9Fjx6FX71KkNGmF
 iPBoWDkGR4UFozUdjKJOuehV0hU9exTTjslHeloTOLggCZL6MlhfSbZ59ymbXnTBI4LoT40dhTGj
 RiI3pwh5bZqheasO0HNjZCxPDEaj4mcBmJwN3vOV29fXYWcWY7XoxKKZmVhGFgvJzFJykg+inELD
 IxHCYMP4nJCQgM75OfhkyGB0/aAYDZNT+b4QGCz0kkhKpUqQUjQjpZRdFc8bRIPyV2kpGiqpiUqN
 lGdvfYpz0CyjPT1TLQb0KWHnjcCHhe3oAkYJOZ31s8H/8A+0LhTefqa7NXzgLKLXSQauhc6d3e7k
 eumkBgdKIAKDwxHAKzAoDKH0R2PJkcYNk5HfoT0KOhehcZPm5E0iHEGRtOB5diDOEqjrwuETgMS4
 Irim4iWEQ8Hv61uSh/qNsqXZp1OHNG5lqTzi4lij1nxHAG93Bqe3xDg9fdR3xX4gNNhAT8hiNrOJ
 OAiiJhMOdwBcAbQgKbEudzACCCIyKgp5HdrSdfsKSyqWYOiQ0WjatCUS4uuhbmx9RIbFMWPR7CN8
 X04HfDxwIJ23kaBDKMm2ihZ+66Zx6DtwCBx0wHt1L0BEVENRBdVara7LP7z7P36DXBsa5OOrvSvG
 azUP8EwcK0gg2Gx2CYTVITjh4pkADy8C2NrDw9Auqzn279lOu2QNvp4+CXt2bcfHpSPx1bTPsXP7
 DmzbsoXLynqMGzUCq1euxMB+A9G4UVMpwzqDOMLSwWbWo7R/N4wZ8ymKu/egne9mL7L++Z2C/+HN
 RlOU2stTtVE6oWFKDaIzk9A2Bi8OMuwOOhZUJwEgMiIMs78Yj00btyAjIxtpqSlYzKOkmTPnoGLO
 DD7PQmaLTCTXT0a/j/Ixf9589OrRm/o/iJ/plrquuAwGPbutgQNbODMtSs68hJz59QeD3t6O93x8
 NZ978XxYxklVy3ZuZDmJEcPucMDBO+QOCET9uEhsqlyO0eNmoH5yCtJTG2PD2qX0Okdh1eK5dOM2
 0IlbjJLeH3MgbIFVKxZjUGkZ0pu1lATCTO/JyPMIMz/bJFTPbqvW6fVLOVj+8Vfd/R//UXBQ1HsK
 pSnLw1N2SRyzSsMeUy5OXUQ5CQBxMRFYs2K+dLjRpk0uLfSxNHLXoEVGSwJZXuP3s39EkOyZ6YmY
 N38eeRMvlaSZAiEdqojsWm2iWVXL1ZoSH4Xinz/8+zEQb3/zf9Tx8P+Q3tFpby4b/pRFUbtWjtwB
 AW507NACFQu+ROX61Zg3dy6ysnJ5vtxI+rlRWjs4CdThcrHhRWHa9Gn8OVrKopVBi2ZpYP9gqT6n
 qZD/T9/1X/qA2nV8/1C7jke8h4fXcjafb/zYjDTcH0wMwu12IiwygiNvOFt/KFUkAtnZWdIJps3u
 olVZIwSis1sYuFZMnJRRsYvQ1lnD4E3/0uD/+sPf95Ip/+TpM5JnyfeFwyFtdGxUWiqKdLZG3dca
 LdIZm47TrZrdXWTOl+8TY4uXj1c1bc2DHCdSftPA//rLfJWa//TxVyZyLe1O6a1kx30sXD8ZsyP6
 iVhXxY4rPFjRIBUq1QW1RjHEbNb/6v/p8j9h5t1/c9iXIwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/shutter" install
	mkdir -p "$(CURDIR)/debian/shutter"

#	mkdir -p "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/"
	cp -a "src/usr/lib/hildon-desktop/shutter.py" "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/shutter.py"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/shutter.png" "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/48x48/hildon/shutter.png"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/26x26/hildon/"
	cp -a "src/usr/share/icons/hicolor/26x26/hildon/shutter.png" "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/26x26/hildon/shutter.png"
	mkdir -p "$(CURDIR)/debian/shutter/etc/lirc/"
	cp -a "src/etc/lirc/ML-L3+" "$(CURDIR)/debian/shutter/etc/lirc/ML-L3+"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/shutter.png" "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/scalable/hildon/shutter.png"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/applications/hildon-home/"
	cp -a "src/usr/share/applications/hildon-home/shutter.desktop" "$(CURDIR)/debian/shutter/usr/share/applications/hildon-home/shutter.desktop"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## shutter 0.88.1

=== debian/changelog ===
shutter (0.88.1-1) unstable; urgency=low

  * New upstream release (Closes: #595710)
    - new version preserves configuration changes (Closes: #584310)
    - add Depends on libgtk2-unique-perl, libproc-processtable-perl,
      procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl
    - move libgoo-canvas-perl to Recommends
    - add Suggests on libnet-dropbox-api-perl, libimage-exiftool-perl,
      and libnet-dbus-glib-perl
    - remove Depends on libfile-desktopentry-perl, libfile-mimeinfo-perl,
      and libfile-homedir-perl
  * install share/icons to /usr/share/
  * update debian/copyright
  * move git repository to collab-maint
  * use quilt (3.0) source format
  * update Standards-Version to 3.9.2

 -- Ryan Niebur <ryan@debian.org>  Sun, 11 Dec 2011 23:32:58 -0800

shutter (0.85.1-2) unstable; urgency=low

  * move imagemagick back to Depends (Closes: #567612) (LP: #528962)

 -- Ryan Niebur <ryan@debian.org>  Sun, 18 Apr 2010 09:27:13 -0700

shutter (0.85.1-1) unstable; urgency=low

  * New Upstream Version
  * update and change some deps
  * update email address
  * set Standards-Version to 3.8.3

 -- Ryan Niebur <ryan@debian.org>  Thu, 24 Dec 2009 21:47:06 -0800

shutter (0.80.1-1) unstable; urgency=low

  * New Upstream Version
    - update copyright

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 06 Aug 2009 16:29:32 -0700

shutter (0.80-2) unstable; urgency=low

  * move Recommends to Depends to match upstream (Closes: #537512)

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 18 Jul 2009 20:22:59 -0700

shutter (0.80-1) unstable; urgency=low

  * New Upstream Version
    - fixes segfault (LP: 388555)
  * Debian Policy 3.8.2
  * add new dependencies
  * update debian/copyright for newly included modules

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 09 Jul 2009 04:17:01 -0700

shutter (0.70.2-2) unstable; urgency=low

  * don't install anything into /usr/share/app-install/ (Closes:
    #532178)
  * add DMUA field
  * make debian/rules a bit smaller

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 07 Jun 2009 12:29:41 -0700

shutter (0.70.2-1) unstable; urgency=low

  * Initial release (Closes: #522721)

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 26 Apr 2009 11:06:22 -0700

=== debian/control ===
Source: shutter
Section: graphics
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.2
Homepage: http://shutter-project.org/
Vcs-Git: git://git.debian.org/git/collab-maint/shutter.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/shutter.git;a=summary

Package: shutter
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2-perl, libglib-perl, libgnome2-perl, libgnome2-vfs-perl, libgnome2-wnck-perl, libgnome2-gconf-perl, liblocale-gettext-perl, libxml-simple-perl, libwww-mechanize-perl, libwww-perl, perlmagick, libx11-protocol-perl, librsvg2-common, libfile-basedir-perl, libfile-copy-recursive-perl, libproc-simple-perl, libfile-which-perl, libsort-naturally-perl, libgtk2-imageview-perl, libnet-dbus-perl, libgnome2-canvas-perl, imagemagick, libgtk2-unique-perl, libproc-processtable-perl, procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl
Recommends: libgoo-canvas-perl
Suggests: gnome-web-photo, nautilus-sendto, libnet-dropbox-api-perl, libimage-exiftool-perl, libnet-dbus-glib-perl
Description: feature-rich screenshot program
 Shutter is a feature-rich screenshot program. You can take a
 screenshot of a specific area, window, your whole screen, or even of
 a website - apply different effects to it, draw on it to highlight
 points, and then upload to an image hosting site, all within one
 window.
 .
 Features:
    * take a screenshot of your complete desktop, a rectangular area
      or capture a website
    * take screenshot directly or with a specified delay time
    * save the screenshots to a specified directory and name them in a
      convenient way (using special wild-cards)
    * Shutter is fully integrated into the GNOME Desktop (TrayIcon etc.)
    * generate thumbnails directly when you are taking a screenshot
      and set a size level in %
    * Shutter session collection
          o keep track of all screenshots during session
          o copy screeners to clipboard
          o print screenshots
          o delete screenshots
          o rename your file
    * upload your files directly to Image-Hosters
      (e.g. http://ubuntu-pics.de), retrieve all the needed links and
      share them with others
    * edit your screenshots directly using the embedded drawing tool

## shutter 0.88.3

=== debian/changelog ===
shutter (0.88.3-1) unstable; urgency=low

  * New upstream bugfix release
    - update debian/copyright for 2012
  * Move libnet-dropbox-api-perl to Depends (Closes: #666535)
  * Update Standards-Version to 3.9.3

 -- Ryan Niebur <ryan@debian.org>  Fri, 15 Jun 2012 21:16:55 -0700

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://shutter-project.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/shutter.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/shutter.git;a=summary
 
 Package: shutter
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2-perl, libglib-perl, libgnome2-perl, libgnome2-vfs-perl, libgnome2-wnck-perl, libgnome2-gconf-perl, liblocale-gettext-perl, libxml-simple-perl, libwww-mechanize-perl, libwww-perl, perlmagick, libx11-protocol-perl, librsvg2-common, libfile-basedir-perl, libfile-copy-recursive-perl, libproc-simple-perl, libfile-which-perl, libsort-naturally-perl, libgtk2-imageview-perl, libnet-dbus-perl, libgnome2-canvas-perl, imagemagick, libgtk2-unique-perl, libproc-processtable-perl, procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2-perl, libglib-perl, libgnome2-perl, libgnome2-vfs-perl, libgnome2-wnck-perl, libgnome2-gconf-perl, liblocale-gettext-perl, libxml-simple-perl, libwww-mechanize-perl, libwww-perl, perlmagick, libx11-protocol-perl, librsvg2-common, libfile-basedir-perl, libfile-copy-recursive-perl, libproc-simple-perl, libfile-which-perl, libsort-naturally-perl, libgtk2-imageview-perl, libnet-dbus-perl, libgnome2-canvas-perl, imagemagick, libgtk2-unique-perl, libproc-processtable-perl, procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl, libnet-dropbox-api-perl
 Recommends: libgoo-canvas-perl
-Suggests: gnome-web-photo, nautilus-sendto, libnet-dropbox-api-perl, libimage-exiftool-perl, libnet-dbus-glib-perl
+Suggests: gnome-web-photo, nautilus-sendto, libimage-exiftool-perl, libnet-dbus-glib-perl
 Description: feature-rich screenshot program
  Shutter is a feature-rich screenshot program. You can take a
  screenshot of a specific area, window, your whole screen, or even of

## shutter 0.89.0

=== debian/changelog ===
shutter (0.89.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
   - Adds an AppIndicator (LP: #805464).
  * debian/control: Recommend libgtk2-appindicator-perl

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 11 Aug 2012 17:36:18 -0400

## shutter 0.90

=== debian/changelog ===
shutter (0.90-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 15 Aug 2013 15:20:55 -0400

## shutter 0.90.1

=== debian/changelog ===
shutter (0.90.1-0ubuntu1.1) trusty-proposed; urgency=medium

  * Fix crash after clicking "edit" while using certain
    icon themes (LP: #1285287).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 10 Aug 2014 13:42:07 -0400

shutter (0.90.1-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 01 Mar 2014 09:41:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shutter
 Section: graphics
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.9.3
 Homepage: http://shutter-project.org/
@@ -11,7 +12,7 @@
 Package: shutter
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2-perl, libglib-perl, libgnome2-perl, libgnome2-vfs-perl, libgnome2-wnck-perl, libgnome2-gconf-perl, liblocale-gettext-perl, libxml-simple-perl, libwww-mechanize-perl, libwww-perl, perlmagick, libx11-protocol-perl, librsvg2-common, libfile-basedir-perl, libfile-copy-recursive-perl, libproc-simple-perl, libfile-which-perl, libsort-naturally-perl, libgtk2-imageview-perl, libnet-dbus-perl, libgnome2-canvas-perl, imagemagick, libgtk2-unique-perl, libproc-processtable-perl, procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl, libnet-dropbox-api-perl
-Recommends: libgoo-canvas-perl
+Recommends: libgoo-canvas-perl, libgtk2-appindicator-perl
 Suggests: gnome-web-photo, nautilus-sendto, libimage-exiftool-perl, libnet-dbus-glib-perl
 Description: feature-rich screenshot program
  Shutter is a feature-rich screenshot program. You can take a

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_install:
	dh_install
	mkdir -p debian/$(shell dh_listpackages)/usr/share/perl5/
	mv debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/Shutter debian/$(shell dh_listpackages)/usr/share/perl5/
	rm -fr debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/

%:
	dh $@

## shutter 0.92

=== debian/changelog ===
shutter (0.92-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
   - Fixes crash after clicking "edit" while using certain
     icon themes (LP: #1285287).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 10 Aug 2014 11:51:16 -0400

shutter (0.90.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #741035).
  * Don't use dead link in package description (Closes: #708821).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 20 Apr 2014 14:33:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shutter
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.9.3
 Homepage: http://shutter-project.org/
@@ -12,7 +11,7 @@
 Package: shutter
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2-perl, libglib-perl, libgnome2-perl, libgnome2-vfs-perl, libgnome2-wnck-perl, libgnome2-gconf-perl, liblocale-gettext-perl, libxml-simple-perl, libwww-mechanize-perl, libwww-perl, perlmagick, libx11-protocol-perl, librsvg2-common, libfile-basedir-perl, libfile-copy-recursive-perl, libproc-simple-perl, libfile-which-perl, libsort-naturally-perl, libgtk2-imageview-perl, libnet-dbus-perl, libgnome2-canvas-perl, imagemagick, libgtk2-unique-perl, libproc-processtable-perl, procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl, libnet-dropbox-api-perl
-Recommends: libgoo-canvas-perl, libgtk2-appindicator-perl
+Recommends: libgoo-canvas-perl
 Suggests: gnome-web-photo, nautilus-sendto, libimage-exiftool-perl, libnet-dbus-glib-perl
 Description: feature-rich screenshot program
  Shutter is a feature-rich screenshot program. You can take a
@@ -36,7 +35,6 @@
           o print screenshots
           o delete screenshots
           o rename your file
-    * upload your files directly to Image-Hosters
-      (e.g. http://ubuntu-pics.de), retrieve all the needed links and
-      share them with others
+    * upload your files directly to Image-Hosters (e.g. imgur.com), retrieve
+      all the needed links and share them with others
     * edit your screenshots directly using the embedded drawing tool

## shutter 0.93.1

=== debian/changelog ===
shutter (0.93.1-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1564122). Remaining changes:
   - debian/control: Recommend libgtk2-appindicator-perl.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 02 Apr 2016 11:22:14 -0400

shutter (0.93.1-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Fix insecure use of system() (Closes: #798862, LP: #1495163).
  * debian/rules: Install WebService/Dropbox.pm

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 05 Nov 2015 21:48:26 -0500

shutter (0.92-0.1ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
   - debian/control: Recommend libgtk2-appindicator-perl

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 10 Aug 2014 13:16:49 -0400

shutter (0.91-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Merge from debian. Remaining changes:
    - debian/control: Recommend libgtk2-appindicator-perl

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 19 Jun 2014 19:38:38 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shutter
 Section: graphics
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.9.3
 Homepage: http://shutter-project.org/
@@ -11,7 +12,7 @@
 Package: shutter
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2-perl, libglib-perl, libgnome2-perl, libgnome2-vfs-perl, libgnome2-wnck-perl, libgnome2-gconf-perl, liblocale-gettext-perl, libxml-simple-perl, libwww-mechanize-perl, libwww-perl, perlmagick, libx11-protocol-perl, librsvg2-common, libfile-basedir-perl, libfile-copy-recursive-perl, libproc-simple-perl, libfile-which-perl, libsort-naturally-perl, libgtk2-imageview-perl, libnet-dbus-perl, libgnome2-canvas-perl, imagemagick, libgtk2-unique-perl, libproc-processtable-perl, procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl, libnet-dropbox-api-perl
-Recommends: libgoo-canvas-perl
+Recommends: libgoo-canvas-perl, libgtk2-appindicator-perl
 Suggests: gnome-web-photo, nautilus-sendto, libimage-exiftool-perl, libnet-dbus-glib-perl
 Description: feature-rich screenshot program
  Shutter is a feature-rich screenshot program. You can take a

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	dh_install
 	mkdir -p debian/$(shell dh_listpackages)/usr/share/perl5/
 	mv debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/Shutter debian/$(shell dh_listpackages)/usr/share/perl5/
+	mv debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/WebService debian/$(shell dh_listpackages)/usr/share/perl5/
 	rm -fr debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/
 
 %:

=== debian/watch ===
version=3
http://shutter-project.org/wp-content/uploads/releases/tars/ shutter-([0-9.]+)\.tar\.gz

## shutter 0.94

=== debian/changelog ===
shutter (0.94-1) unstable; urgency=medium
 
  * Team upload

  [ gregor herrmann ]
  * Add libnet-oauth-perl to Recommends.
    Needed by the Dropbox module. (LP: #1372050)

  [ Hideki Yamane ]
  * New upstream release (Closes: #887887)
  * deian/control
    - s/perlmagick/libimage-magick-perl/ (Closes: #789236)
    - set Build-Depends: debhelper (>= 11)
    - set Standards-Version: 4.1.3
  * debian/watch
    - update to version 4 
  * debian/compat
    - set 11
  * debian/patches
    - drop 0002-Force-utf8-for-retrieved-window-name-from-Gtk2.patch, merged
      upstream
    - drop 0003-Fix-error-on-executing-xdg-email.patch, merged upstream
    - drop insecure_use_of_system.patch, merged upstream
    - drop CVE-2016-10081.patch, merged upstream
    - refresh fix-perl-system-calls

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Feb 2018 13:36:03 +0900

shutter (0.93.1-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Jun 2017 19:40:46 +0800

shutter (0.93.1-2~exp1) experimental; urgency=medium

  [ Dominique Dumont ]
  * mention that patches are forwarded upstream

  [ ChangZhuo Chen (陳昌倬) ]
  * Change Maintainer to pkg-perl (Closes: #856298).
    - Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8.
  * Bump compat to 10.
  * Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 03 Mar 2017 15:10:59 +0800

shutter (0.93.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * add patch to fix CVE-2016-10081 (Closes: #849777)
  * add patch to secure system() calls

 -- Dominique Dumont <dod@debian.org>  Fri, 06 Jan 2017 21:07:32 +0100

shutter (0.93.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix decoding of name returned by Gnome2::Wnck
  * control: added dep on libx11-protocol-other-perl

 -- Dominique Dumont <dod@debian.org>  Wed, 21 Dec 2016 11:24:42 +0100

shutter (0.93.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix messy display for non-latin characters.
    (Closes: #847051, LP: #1556021, LP: #1618310)
  * Add patch to fix crash on sending email.
    (Closes: #819149, LP: #1469840)
  * Add libgtk2-appindicator-perl into Recommends list.
    This helps utilize libappindicator and provide with better
    user experience for tray icon.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 06 Dec 2016 21:53:19 +0800

=== debian/control ===
Source: shutter
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Niebur <ryan@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/git/pkg-perl/packages/shutter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/shutter.git
Homepage: http://shutter-project.org/

Package: shutter
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2-perl,
         libglib-perl,
         libgnome2-perl,
         libgnome2-vfs-perl,
         libgnome2-wnck-perl,
         libgnome2-gconf-perl,
         liblocale-gettext-perl,
         libxml-simple-perl,
         libwww-mechanize-perl,
         libwww-perl,
         libimage-magick-perl,
         libx11-protocol-perl,
         librsvg2-common,
         libfile-basedir-perl,
         libfile-copy-recursive-perl,
         libproc-simple-perl,
         libfile-which-perl,
         libsort-naturally-perl,
         libgtk2-imageview-perl,
         libnet-dbus-perl,
         libgnome2-canvas-perl,
         imagemagick,
         libgtk2-unique-perl,
         libproc-processtable-perl,
         procps,
         xdg-utils,
         libpath-class-perl,
         libjson-perl,
         libjson-xs-perl,
         libnet-dropbox-api-perl,
         libx11-protocol-other-perl
Recommends: libgoo-canvas-perl,
            libgtk2-appindicator-perl,
            libnet-oauth-perl
Suggests: gnome-web-photo,
          nautilus-sendto,
          libimage-exiftool-perl,
          libnet-dbus-glib-perl
Description: feature-rich screenshot program
 Shutter is a feature-rich screenshot program. You can take a
 screenshot of a specific area, window, your whole screen, or even of
 a website - apply different effects to it, draw on it to highlight
 points, and then upload to an image hosting site, all within one
 window.
 .
 Features:
    * take a screenshot of your complete desktop, a rectangular area
      or capture a website
    * take screenshot directly or with a specified delay time
    * save the screenshots to a specified directory and name them in a
      convenient way (using special wild-cards)
    * Shutter is fully integrated into the GNOME Desktop (TrayIcon etc.)
    * generate thumbnails directly when you are taking a screenshot
      and set a size level in %
    * Shutter session collection
          o keep track of all screenshots during session
          o copy screeners to clipboard
          o print screenshots
          o delete screenshots
          o rename your file
    * upload your files directly to Image-Hosters (e.g. imgur.com), retrieve
      all the needed links and share them with others
    * edit your screenshots directly using the embedded drawing tool

=== debian/watch ===
version=4
http://shutter-project.org/wp-content/uploads/releases/tars/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## shutter 0.95

=== debian/changelog ===
shutter (0.95-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 25 Apr 2021 10:13:44 -0400

shutter (0.95-1~0linuxuprising1~groovy0) groovy; urgency=medium

  * New stable release

 -- Logix <logix@linuxuprising.com>  Mon, 01 Feb 2021 12:09:33 +0000

shutter (0.94.3+git20200901-1~0linuxuprising1~groovy3) groovy; urgency=medium

  * Depend on libglib-object-introspection-perl (Shutter doesn't launch
    without it). Thanks to DTechServices for reporting it

 -- Logix <logix@linuxuprising.com>  Thu, 29 Oct 2020 15:27:41 +0000

shutter (0.94.3+git20200901-1~0linuxuprising1~groovy2) groovy; urgency=medium

  * Shutter from git
  * Removed dependencies: libgnome2-perl, libgnome2-vfs-perl
  * Added dependencies: desktop-file-utils, libnumber-bytes-human-perl
  * Modify rules file to suit the new Shutter from git

 -- Logix <logix@linuxuprising.com>  Tue, 06 Oct 2020 18:11:23 +0000

shutter (0.94.3-1~0linuxuprising1~focal1) focal; urgency=medium

  * Upload for Focal

 -- Logix <logix@linuxuprising.com>  Fri, 06 Mar 2020 13:02:20 +0000

shutter (0.94.3-1~0linuxuprising1~eoan2) eoan; urgency=medium
 
  * Added libjson-maybexs-perl dependency which should fix upload
    plugins

 -- Logix <logix@linuxuprising.com>  Wed, 18 Dec 2019 19:49:42 +0000

shutter (0.94.3-1~0linuxuprising1~eoan1) eoan; urgency=medium
 
  * Same version but uploaded for Eoan

 -- Logix <logix@linuxuprising.com>  Fri, 04 Oct 2019 16:51:36 +0000

shutter (0.94.3-1~0linuxuprising1~disco1) disco; urgency=medium
 
  * New version
  * Fixes LP: #1831155: New File::Glob does not export glob, 
    shutter does not start
  * Fixes LP: #1782646: Shutter asks to "Authorize with Imgur" 
    for each upload to account Imgur OAuth
  * Packaging: The package now depends on libcanberra-gtk0, which
    should fix warnings like these: Gtk-Message **: Failed to load 
    module "canberra-gtk-module" at 
    /usr/lib/x86_64-linux-gnu/perl5/5.26/Gtk2.pm line 126.

 -- Logix <logix@linuxuprising.com>  Thu, 13 Jun 2019 11:28:53 +0000

shutter (0.94.2-1~0linuxuprising1~cosmic) cosmic; urgency=medium
 
  * New version
  * Move libgoo-canvas-perl, libgtk2-appindicator-perl and libnet-oauth-perl
    from Recommends to Depends. No need in keeping them under Recommended
    since you most probably want these extra Shutter features if you're
    using this PPA and you're a Shutter fan. Linux Mint doesn't install
    recommended packages by default so users might miss these packages
    and use Shutter without some of its features
  * Disabled fix-perl-system-calls patch, it was already applied in
    Shutter 0.94.1

 -- Logix <logix@linuxuprising.com>  Fri, 27 Jul 2018 11:27:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: shutter
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Ryan Niebur <ryan@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: graphics
@@ -16,8 +17,8 @@
          ${misc:Depends},
          libgtk2-perl,
          libglib-perl,
-         libgnome2-perl,
-         libgnome2-vfs-perl,
+#         libgnome2-perl,
+#         libgnome2-vfs-perl,
          libgnome2-wnck-perl,
          libgnome2-gconf-perl,
          liblocale-gettext-perl,
@@ -44,10 +45,16 @@
          libjson-perl,
          libjson-xs-perl,
          libnet-dropbox-api-perl,
-         libx11-protocol-other-perl
-Recommends: libgoo-canvas-perl,
-            libgtk2-appindicator-perl,
-            libnet-oauth-perl
+         libx11-protocol-other-perl,
+         libgoo-canvas-perl,
+         libgtk2-appindicator-perl,
+         libnet-oauth-perl,
+         libcanberra-gtk0,
+         libjson-maybexs-perl,
+         liblwp-protocol-https-perl,
+         libnumber-bytes-human-perl,
+         desktop-file-utils,
+         libglib-object-introspection-perl
 Suggests: gnome-web-photo,
           nautilus-sendto,
           libimage-exiftool-perl,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+override_dh_auto_install:
+	make prefix="debian/shutter/usr" install
+
 override_dh_install:
-	dh_install
 	mkdir -p debian/$(shell dh_listpackages)/usr/share/perl5/
 	mv debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/Shutter debian/$(shell dh_listpackages)/usr/share/perl5/
 	mv debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/WebService debian/$(shell dh_listpackages)/usr/share/perl5/

## shutter 0.96

=== debian/changelog ===
shutter (0.96-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * debian/control: add gir1.2-wnck-3.0 to depends as it is required.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 07 Jun 2021 14:21:48 -0400

shutter (0.96-3~xtradeb1) focal; urgency=medium

  * Replace patch to fix tray icon

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 31 May 2021 06:36:25 +0000

shutter (0.96-2~xtradeb1) focal; urgency=medium

  * Fix tray icon not working

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 25 May 2021 06:43:11 +0000

shutter (0.96-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - drop dependency on Gtk2, and starts depending on Gtk3 instead. More
     specifically, these perl dependencies are gone:
    - Gtk2
    - Gtk2::ImageView
    - Gtk2::Unique
    - Gtk2::AppIndicator
    - Gnome2::Wnck
    - Goo::Canvas
   - New dependencies:
    - Gtk3
    - Gtk3::ImageView >= 9
    - GooCanvas2 (unlike old Goo::Canvas, this one is not optional anymore)
    - GooCanvas2::CairoTypes
    - Pango
    - libwnck-3, used via Glib Object Introspection
   - The feature of taking a section of window is removed (or, rather, commented
     out), because it didn’t work with the way how modern Qt and Gtk were
     drawing their windows anyway.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 24 May 2021 10:05:57 +0000

shutter (0.95-1~xtradeb3) focal; urgency=medium

  * Fix upstream download URL in debian watch file

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 23 Mar 2021 12:17:56 +0000

shutter (0.95-1~xtradeb2) focal; urgency=medium

  * Add missing dependencies

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Fri, 12 Feb 2021 00:04:34 +0000

shutter (0.95-1~xtradeb1) focal; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Jhonny Oliveira ]
  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 10 Feb 2021 18:44:11 +0000

## shutter 0.97

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 		rm -r $(srcdir)share/locale; \
 	fi
 install: all
+	install -Dm644 $(srcdir)COPYING $(prefix)/share/doc/shutter/COPYING
+	install -Dm644 $(srcdir)README $(prefix)/share/doc/shutter/README
 	install -Dm755 $(srcdir)bin/shutter $(prefix)/bin/shutter
 	cp -r $(srcdir)share/ $(prefix)/

=== debian/changelog ===
shutter (0.97-1~mx21+2) mx; urgency=medium

  * Repackaging for MX-21.
  * Add gir1.2-wnck-3.0 to depends as it is needed.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 12 Jul 2021 16:32:05 -0400

shutter (0.97-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Jul 2021 20:25:40 -0400

shutter (0.97-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Crash fixes:
    - when doing screenshot if "include cursor" is set
    - when using text annotation tools in the editor
    - when launching on Wayland. Note that the screenshot functionality is still
      not available on Wayland yet
    - when using a DE without a dedicated Pictures/ directory
   - Additionally:
    - the tray icon wasn't shown on Gnome, making it impossible to interact with
      the app after the main window is closed/hidden
    - if both libappindicator is not available and the legacy tray icon doesn't
      work (it's not supported by gnome), closing the window will now terminate
      the application rather than hiding it to the non-existing tray
    - copy to clipboard didn't work
    - capturing full screen on multiple screens didn't work

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 23 Jun 2021 21:04:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,21 @@
 Source: shutter
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Ryan Niebur <ryan@debian.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/git/pkg-perl/packages/shutter.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/shutter.git
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/shutter
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/shutter.git
 Homepage: http://shutter-project.org/
 
 Package: shutter
 Architecture: all
-Depends: ${shlibs:Depends},
+Depends: ${perl:Depends},
          ${misc:Depends},
-         libgtk2-perl,
+         libgtk3-perl,
          libglib-perl,
-#         libgnome2-perl,
-#         libgnome2-vfs-perl,
-         libgnome2-wnck-perl,
-         libgnome2-gconf-perl,
+         libpango-perl,
          liblocale-gettext-perl,
          libxml-simple-perl,
          libwww-mechanize-perl,
@@ -33,11 +28,9 @@
          libproc-simple-perl,
          libfile-which-perl,
          libsort-naturally-perl,
-         libgtk2-imageview-perl,
+         libgtk3-imageview-perl,
          libnet-dbus-perl,
-         libgnome2-canvas-perl,
          imagemagick,
-         libgtk2-unique-perl,
          libproc-processtable-perl,
          procps,
          xdg-utils,
@@ -46,15 +39,19 @@
          libjson-xs-perl,
          libnet-dropbox-api-perl,
          libx11-protocol-other-perl,
-         libgoo-canvas-perl,
-         libgtk2-appindicator-perl,
+         libgoocanvas2-perl,
+         libgoocanvas2-cairotypes-perl,
+         libcarp-always-perl,
          libnet-oauth-perl,
          libcanberra-gtk0,
          libjson-maybexs-perl,
          liblwp-protocol-https-perl,
          libnumber-bytes-human-perl,
+         libreadonly-perl,
          desktop-file-utils,
-         libglib-object-introspection-perl
+         libglib-object-introspection-perl,
+         gir1.2-appindicator3-0.1,
+         gir1.2-wnck-3.0
 Suggests: gnome-web-photo,
           nautilus-sendto,
           libimage-exiftool-perl,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

override_dh_install:
	dh_install
	mkdir -p debian/$(shell dh_listpackages)/usr/share/perl5/
	mv debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/Shutter debian/$(shell dh_listpackages)/usr/share/perl5/
	mv debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/WebService debian/$(shell dh_listpackages)/usr/share/perl5/
	rm -fr debian/$(shell dh_listpackages)/usr/share/shutter/resources/modules/

=== debian/watch ===
version=4

https://github.com/@PACKAGE@-project/@PACKAGE@/releases/latest \
 (?:.*?/)?archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@
